solver-error.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <iostream>`
`#include <stdexcept>`
`#include <boost/optional.hpp>`
`#include <roboptim/core/result.hh>`

## Classes

class | roboptim::SolverError
| Base exception class for solving errors. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const SolverError &e)
| Override operator<< to handle error display. More...